
package jp.riken.brain.ni.samuraigraph.application;

/**
 * Constants for command.
 */
public interface SGIApplicationCommandConstants
{
	public static final String COM_CHWIN = "chwin";
	public static final String COM_CHFIG = "chfig";
	public static final String COM_SELECT_FIGURE = "selectFigure";
	public static final String COM_TREE = "tree";
	public static final String COM_ZOOM = "zoom";


	//
	// Menu Bar
	//

	// File
	public static final String COM_WIN_OPEN = "wopen";
	public static final String COM_WIN_CLOSE = "wclose";
	public static final String COM_DRAW_GRAPH = "drawGraph";
	public static final String COM_LOAD_PROPERTY = "loadProperty";
	public static final String COM_SAVE_PROPERTY = "saveProperty";
	public static final String COM_LOAD_DATA_SET = "loadDataSet";
	public static final String COM_SAVE_DATA_SET = "saveDataSet";
	public static final String COM_LOAD_IMAGE = "loadBackgroundImage";
	public static final String COM_EXPORT_AS_IMAGE = "exportAsImage";
	public static final String COM_PRINT = "print";
	public static final String COM_EXIT = "exit";

	// Edit
	public static final String COM_UNDO = "undo";
	public static final String COM_REDO = "redo";
	public static final String COM_CLEAR_UNDO_BUFFER = "clearUndoBuffer";
	public static final String COM_CUT = "cut";
	public static final String COM_COPY = "copy";
	public static final String COM_PASTE = "paste";
	public static final String COM_DELETE = "delete";
	public static final String COM_DUPLICATE = "duplicate";
	public static final String COM_DELETE_IMAGE = "deleteBackgroundImage";

	// Insert
	public static final String COM_INSERT_LABEL = "insertLabel";
	public static final String COM_INSERT_SIGNIFICANT_DIFFERENCE = "insertSignificantDifference";
	public static final String COM_INSERT_AXIS_BREAK = "insertAxisBreak";
	public static final String COM_INSERT_TIMING_LINE = "insertTimingLine";
	public static final String COM_INSERT_RECTANGLE = "insertRectangle";
	public static final String COM_INSERT_ELLIPSE = "insertEllipse";
	public static final String COM_INSERT_ARROW = "insertArrow";
	public static final String COM_INSERT_LINE = "insertLine";


	// Layout

	// paper
	public static final String COM_PAPER_ALIGNMENT = "paperAlignment";
	public static final String COM_PAPER_BOUNDING_BOX = "boundingBox";

	// tool bar
//	public static final String COM_TOOL_BAR_VISIBLE = "toolBarVisible";

	// grid
//	public static final String COM_GRID_PLUS = "gridPlus";
//	public static final String COM_GRID_MINUS = "gridMinus";
//	public static final String COM_SNAP_TO_GRID = "snapToGrid";

	// zoom
//	public static final String COM_ZOOM_IN = "zoomIn";
//	public static final String COM_ZOOM_OUT = "zoomOut";
//	public static final String COM_DEFAULT_ZOOM = "defaultZoom";
//	public static final String COM_ZOOM_WAY_OUT = "zoomWayOut";
	public static final String COM_AUTO_ZOOM = "autoZoom";

	// lock
	public static final String COM_LOCK_FIGURE = "lock";


//	// Arrange
//	public static final String COM_MOVE_TO_BACK = "moveToBack";
//	public static final String COM_MOVE_TO_FRONT = "moveToFront";
	public static final String COM_AUTO_ARRANGEMENT = "autoArrangement";


//	// Help
//	public static final String COM_UPDATE_CYCLE = "updateCycle";
//	public static final String COM_UPDATE_NOW = "update";
//	public static final String COM_SHOW_CHANGE_LOG = "changelog";



	// window
	public static final String COM_PAPER_WIDTH = "paperWidth";
	public static final String COM_PAPER_HEIGHT = "paperHeight";
	public static final String COM_PAPER_SIZE = "paperSize";
	public static final String COM_WINDOW_GRID_INTERVAL = "paperGridInterval";
	public static final String COM_WINDOW_GRID_LINE_WIDTH = "paperGridLineWidth";
	public static final String COM_WINDOW_GRID_VISIBLE = "paperGridVisible";
	public static final String COM_WINDOW_GRID_COLOR = "paperGridColor";
	public static final String COM_WINDOW_BACKGROUND_COLOR = "paperBackgroundColor";
	public static final String COM_IMAGE_X = "imageLocationX";
	public static final String COM_IMAGE_Y = "imageLocationY";
	public static final String COM_IMAGE_SCALING_FACTOR = "imageScalingFactor";


	// figure
	public static final String COM_FIGURE_X = "figureLocationX";
	public static final String COM_FIGURE_Y = "figureLocationY";
	public static final String COM_FIGURE_WIDTH = "figureWidth";
	public static final String COM_FIGURE_HEIGHT = "figureHeight";
	public static final String COM_FIGURE_SPACE_TO_SCALE = "figureSpaceToScale";
	public static final String COM_FIGURE_SPACE_TO_TITLE = "figureSpaceToTitle";
	public static final String COM_FIGURE_BACKGROUND_COLOR = "figureBackgroundColor";
	public static final String COM_FIGURE_TRANSPARENT = "figureBackgroundTransparent";

	public static final String COM_FIGURE_GRID_AXIS_X = "figureGridAxisX";
	public static final String COM_FIGURE_GRID_AXIS_Y = "figureGridAxisY";
	public static final String COM_FIGURE_GRID_VISIBLE = "figureGridVisible";
	public static final String COM_FIGURE_GRID_AUTO = "figureGridAuto";
	public static final String COM_FIGURE_GRID_STEP_X = "figureGridStepX";
	public static final String COM_FIGURE_GRID_STEP_Y = "figureGridStepY";
	public static final String COM_FIGURE_GRID_BASE_X = "figureGridBaseX";
	public static final String COM_FIGURE_GRID_BASE_Y = "figureGridBaseY";
	public static final String COM_FIGURE_GRID_LINE_WIDTH = "figureGridLineWidth";
	public static final String COM_FIGURE_GRID_LINE_TYPE = "figureGridLineType";
	public static final String COM_FIGURE_GRID_LINE_COLOR = "figureGridColor";

	public static final String COM_CUT_FIGURE = "cutFigure";
	public static final String COM_COPY_FIGURE = "copyFigure";
	public static final String COM_PASTE_FIGURE = "pasteFigure";
	public static final String COM_DELETE_FIGURE = "deleteFigure";
	public static final String COM_DUPLICATE_FIGURE = "duplicateFigure";
	public static final String COM_MOVE_TO_FRONT_FIGURE = "moveToFrontFigure";
	public static final String COM_MOVE_TO_BACK_FIGURE = "moveToBackFigure";



	// data

	// common
	public static final String COM_DATA_AXIS_X = "dataAxisX";
	public static final String COM_DATA_AXIS_Y = "dataAxisY";
	public static final String COM_DATA_VISIBLE_IN_LEGEND = "dataVisibleInLegend";
	public static final String COM_DATA_NAME = "dataName";

	// line
	public static final String COM_DATA_LINE_VISIBLE = "dataLineVisible";
	public static final String COM_DATA_LINE_WIDTH = "dataLineWidth";
	public static final String COM_DATA_LINE_TYPE = "dataLineType";
	public static final String COM_DATA_LINE_COLOR = "dataLineColor";

	// symbol
	public static final String COM_DATA_SYMBOL_VISIBLE = "dataSymbolVisible";
	public static final String COM_DATA_SYMBOL_TYPE = "dataSymbolType";
	public static final String COM_DATA_SYMBOL_BODY_SIZE = "dataSymbolSize";
	public static final String COM_DATA_SYMBOL_BODY_COLOR = "dataSymbolBodyColor";
	public static final String COM_DATA_SYMBOL_LINE_WIDTH = "dataSymbolLineWidth";
	public static final String COM_DATA_SYMBOL_LINE_COLOR = "dataSymbolLineColor";

	// bar
	public static final String COM_DATA_BAR_VISIBLE = "dataBarVisible";
	public static final String COM_DATA_BAR_BASELINE = "dataBarBaseline";
	public static final String COM_DATA_BAR_BODY_WIDTH = "dataBarBodyWidth";
	public static final String COM_DATA_BAR_BODY_COLOR = "dataBarBodyColor";
	public static final String COM_DATA_BAR_LINE_WIDTH = "dataBarEdgeLineWidth";
	public static final String COM_DATA_BAR_LINE_COLOR = "dataBarLineColor";

	// error bar
	public static final String COM_DATA_ERROR_BAR_VISIBLE = "dataErrorBarVisible";
	public static final String COM_DATA_ERROR_BAR_SYMBOL_TYPE = "dataErrorBarSymbolType";
	public static final String COM_DATA_ERROR_BAR_SYMBOL_SIZE = "dataErrorBarSymbolSize";
	public static final String COM_DATA_ERROR_BAR_COLOR = "dataErrorBarColor";
	public static final String COM_DATA_ERROR_BAR_LINE_WIDTH = "dataErrorBarLineWidth";
	public static final String COM_DATA_ERROR_BAR_STYLE = "dataErrorBarStyle";

	// tick label
	public static final String COM_DATA_TICK_LABEL_VISIBLE = "dataTickLabelVisible";
	public static final String COM_DATA_TICK_LABEL_FONT_NAME = "dataTickLabelFontName";
	public static final String COM_DATA_TICK_LABEL_FONT_STYLE = "dataTickLabelFontStyle";
	public static final String COM_DATA_TICK_LABEL_FONT_SIZE = "dataTickLabelFontSize";
	public static final String COM_DATA_TICK_LABEL_FONT_COLOR = "dataTickLabelFontColor";
	public static final String COM_DATA_TICK_LABEL_HORIZONTAL = "dataTickLabelHorizontal";

	// vector
	public static final String COM_DATA_ARROW_MAGNITUDE_PER_CM = "dataArrowMagnitudePerCM";
	public static final String COM_DATA_ARROW_DIRECTION_INVARIANT = "dataArrowDirectionInvariant";
	public static final String COM_DATA_ARROW_LINE_WIDTH = "dataArrowLineWidth";
	public static final String COM_DATA_ARROW_LINE_TYPE = "dataArrowLineType";
	public static final String COM_DATA_ARROW_HEAD_SIZE = "dataArrowHeadSize";
	public static final String COM_DATA_ARROW_COLOR = "dataArrowColor";
	public static final String COM_DATA_ARROW_START_TYPE = "dataArrowStartType";
	public static final String COM_DATA_ARROW_END_TYPE = "dataArrowEndType";
	public static final String COM_DATA_ARROW_OPEN_ANGLE = "dataArrowOpenAngle";
	public static final String COM_DATA_ARROW_CLOSE_ANGLE = "dataArrowCloseAngle";

	// edit data
	public static final String COM_DELETE_DATA = "deleteData";
	public static final String COM_MOVE_TO_FRONT_DATA = "moveToFrontData";
	public static final String COM_MOVE_TO_BACK_DATA = "moveToBackData";



	// axes

	// text
	public static final String COM_AXIS_FONT = "axisFont";
	public static final String COM_AXIS_FONT_NAME = "axisFontName";
	public static final String COM_AXIS_FONT_STYLE = "axisFontStyle";
	public static final String COM_AXIS_FONT_SIZE = "axisFontSize";
	public static final String COM_AXIS_FONT_COLOR = "axisFontColor";

	// frame
	public static final String COM_AXIS_FRAME = "axisFrame";
	public static final String COM_AXIS_FRAME_VISIBLE = "axisFrameVisible";
	public static final String COM_AXIS_FRAME_LINE_WIDTH = "axisFrameLineWidth";
	public static final String COM_AXIS_FRAME_COLOR = "axisFrameColor";

	// lines
	public static final String COM_AXIS_LINE_WIDTH = "axisLineWidth";
	public static final String COM_TICK_MARK_WIDTH = "tickMarkWidth";
	public static final String COM_TICK_MARK_LENGTH = "tickMarkLength";
	public static final String COM_AXIS_LINE_COLOR = "axisLineColor";

	// each axis
	public static final String COM_AXIS_VISIBLE = "axisVisible";
	public static final String COM_AXIS_TITLE_VISIBLE = "axisTitleVisible";
	public static final String COM_AXIS_TITLE_LABEL = "axisTitleLabel";
	public static final String COM_AXIS_SCALE_MIN = "axisScaleMin";
	public static final String COM_AXIS_SCALE_MAX = "axisScaleMax";
	public static final String COM_AXIS_SCALE_TYPE = "axisScaleType";
	public static final String COM_AXIS_TICK_MARK_VISIBLE = "axisTickMarkVisible";
	public static final String COM_AXIS_TICK_MARK_AUTO = "axisTickMarkAuto";
	public static final String COM_AXIS_TICK_MARK_STEP = "axisTickMarkStep";
	public static final String COM_AXIS_TICK_MARK_BASE = "axisTickMarkBase";
	public static final String COM_AXIS_TICK_MARK_INNER = "axisTickMarkInner";
	public static final String COM_AXIS_FORMAT_VISIBLE = "axisFormatVisible";
	public static final String COM_AXIS_FORMAT_INTEGER = "axisFormatInteger";
	public static final String COM_AXIS_FORMAT_EXPONENT_VISIBLE = "axisFormatExponentVisible";
	public static final String COM_AXIS_FORMAT_EXPONTNE_VALUE = "axisFormatExponentValue";



	// legend
	public static final String COM_LEGEND_AXIS_X = "legendAxisX";
	public static final String COM_LEGEND_AXIS_Y = "legendAxisY";
	public static final String COM_LEGEND_LOCATION_X = "legendLocationX";
	public static final String COM_LEGEND_LOCATION_Y = "legendLocationY";
	public static final String COM_LEGEND_VISIBLE = "legendVisible";
	public static final String COM_LEGEND_FONT_NAME = "legendFontName";
	public static final String COM_LEGEND_FONT_STYLE = "legendFontStyle";
	public static final String COM_LEGEND_FONT_SIZE = "legendFontSize";
	public static final String COM_LEGEND_FONT_COLOR = "legendFontColor";
	public static final String COM_LEGEND_FRAME_VISIBLE = "legendFrameVisible";
	public static final String COM_LEGEND_FRAME_LINE_WIDTH = "legendFrameLineWidth";
	public static final String COM_LEGEND_FRAME_COLOR = "legendFrameColor";
	public static final String COM_LEGEND_BACKGROUND_TRANSPARENT = "legendBackgroundTransparent";
	public static final String COM_LEGEND_BACKGROUND_COLOR = "legendBackgroundColor";
	public static final String COM_LEGEND_SYMBOL_SPAN = "legendSymbolSpan";



	// label
	public static final String COM_LABEL_AXIS_X = "labelAxisX";
	public static final String COM_LABEL_AXIS_Y = "labelAxisY";
	public static final String COM_LABEL_TEXT = "labelText";
	public static final String COM_LABEL_LOCATION_X = "labelLocationX";
	public static final String COM_LABEL_LOCATION_Y = "labelLocationY";
	public static final String COM_LABEL_FONT_NAME = "labelFontName";
	public static final String COM_LABEL_FONT_STYLE = "labelFontStyle";
	public static final String COM_LABEL_FONT_SIZE = "labelFontSize";
	public static final String COM_LABEL_FONT_COLOR = "labelFontColor";
	public static final String COM_LABEL_ANGLE = "labelAngle";

	public static final String COM_DELETE_LABEL = "deleteLabel";
	public static final String COM_MOVE_TO_FRONT_LABEL = "moveToFrontLabel";
	public static final String COM_MOVE_TO_BACK_LABEL = "moveToBackLabel";



	// significant difference symbols
	public static final String COM_SIGDIFF_AXIS_X = "sigdiffAxisX";
	public static final String COM_SIGDIFF_AXIS_Y = "sigdiffAxisY";
	public static final String COM_SIGDIFF_LOCATION_HORIZONTAL_Y = "sigdiffHorizontalY";
	public static final String COM_SIGDIFF_LOCATION_LEFT_X = "sigdiffLeftX";
	public static final String COM_SIGDIFF_LOCATION_LEFT_Y = "sigdiffLeftY";
	public static final String COM_SIGDIFF_LOCATION_RIGHT_X = "sigdiffRightX";
	public static final String COM_SIGDIFF_LOCATION_RIGHT_Y = "sigdiffRightY";
	public static final String COM_SIGDIFF_LINE_VISIBLE = "sigdiffLineVisible";
	public static final String COM_SIGDIFF_SPACE = "sigdiffSpace";
	public static final String COM_SIGDIFF_LINE_WIDTH = "sigdiffLineWidth";
	public static final String COM_SIGDIFF_TEXT = "sigdiffText";
	public static final String COM_SIGDIFF_FONT_NAME = "sigdiffFontName";
	public static final String COM_SIGDIFF_FONT_STYLE = "sigdiffFontStyle";
	public static final String COM_SIGDIFF_FONT_SIZE = "sigdiffFontSize";
	public static final String COM_SIGDIFF_COLOR = "sigdiffColor";

	public static final String COM_DELETE_SIGDIFF = "deleteSigdiff";
	public static final String COM_MOVE_TO_FRONT_SIGDIFF = "moveToFrontSigdiff";
	public static final String COM_MOVE_TO_BACK_SIGDIFF = "moveToBackSigdiff";



	// axis break symbols
	public static final String COM_BREAK_AXIS_X = "breakAxisX";
	public static final String COM_BREAK_AXIS_Y = "breakAxisY";
	public static final String COM_BREAK_LOCATION_X = "breakLocationX";
	public static final String COM_BREAK_LOCATION_Y = "breakLocationY";
	public static final String COM_BREAK_LENGTH = "breakLength";
	public static final String COM_BREAK_INTERVAL = "breakInterval";
	public static final String COM_BREAK_DISTORTION = "breakDistortion";
	public static final String COM_BREAK_ANGLE = "breakAngle";
	public static final String COM_BREAK_LINE_WIDTH = "breakLineWidth";
	public static final String COM_BREAK_ALIGNMENT = "breakAlignment";
	public static final String COM_BREAK_LINE_COLOR = "breakLineColor";
	public static final String COM_BREAK_INNER_COLOR = "breakInnerColor";

	public static final String COM_DELETE_BREAK = "deleteBreak";
	public static final String COM_MOVE_TO_FRONT_BREAK = "moveToFrontBreak";
	public static final String COM_MOVE_TO_BACK_BREAK = "moveToBackBreak";



	// timing lines
	public static final String COM_TIMING_LINE_AXIS = "timingLineAxis";
	public static final String COM_TIMING_LINE_WIDTH = "timingLineWidth";
	public static final String COM_TIMING_LINE_TYPE = "timingLineType";
	public static final String COM_TIMING_LINE_COLOR = "timingLineColor";

	public static final String COM_DELETE_TIMING_LINE = "deleteTimingLine";
	public static final String COM_MOVE_TO_FRONT_TIMING_LINE = "moveToFrontTimingLine";
	public static final String COM_MOVE_TO_BACK_TIMING_LINE = "moveToBackTimingLine";



	// shape
	public static final String COM_SHAPE_AXIS_X = "shapeAxisX";
	public static final String COM_SHAPE_AXIS_Y = "shapeAxisY";

	public static final String COM_DELETE_SHAPE = "deleteShape";
	public static final String COM_MOVE_TO_FRONT_SHAPE = "moveToFrontShape";
	public static final String COM_MOVE_TO_BACK_SHAPE = "moveToBackShape";

	// rectangular shape
	public static final String COM_RECTANGLE_LEFT_X = "rectangleLeftX";
	public static final String COM_RECTANGLE_RIGHT_X = "rectangleRightX";
	public static final String COM_RECTANGLE_TOP_Y = "rectangleTopY";
	public static final String COM_RECTANGLE_BOTTOM_Y = "rectangleBottomY";
	public static final String COM_RECTANGLE_EDGE_LINE_WIDTH = "rectangleEdgeLineWidth";
	public static final String COM_RECTANGLE_EDGE_LINE_TYPE = "rectangleEdgeLineType";
	public static final String COM_RECTANGLE_EDGE_LINE_COLOR = "rectangleEdgeLineColor";
	public static final String COM_RECTANGLE_BACKGROUND_TRANSPARENT = "rectangleBackgroundTransparent";
	public static final String COM_RECTANGLE_BACKGROUND_COLOR = "rectangleBackgroundColor";

	// arrow
	public static final String COM_ARROW_START_X = "arrowStartX";
	public static final String COM_ARROW_START_Y = "arrowStartY";
	public static final String COM_ARROW_END_X = "arrowEndX";
	public static final String COM_ARROW_END_Y = "arrowEndY";
	public static final String COM_ARROW_LINE_WIDTH = "arrowLineWidth";
	public static final String COM_ARROW_LINE_TYPE = "arrowLineType";
	public static final String COM_ARROW_HEAD_SIZE = "arrowHeadSize";
	public static final String COM_ARROW_COLOR = "arrowColor";
	public static final String COM_ARROW_START_TYPE = "arrowStartType";
	public static final String COM_ARROW_END_TYPE = "arrowEndType";
	public static final String COM_ARROW_OPEN_ANGLE = "arrowOpenAngle";
	public static final String COM_ARROW_CLOSE_ANGLE = "arrowCloseAngle";


}

